FreeMat

- Main Page
- Related Pages

HEX2DEC Convert Hexadecimal Numbers To Decimal

Section: Elementary Functions

# Usage

Converts a hexadecimal number (encoded as a string matrix) into integers. The syntax for its use is

       y = hex2dec(x)

where `x` is a character matrix where each row represents an integer in hexadecimal form. The output is of type `Double`.

# Examples

    --> hex2dec('3ff')

    ans =
     1023

Or for a more complex example

    --> hex2dec(['0ff';'2de';'123'])

    ans =
     255
     734
     291